//************************************************
// File:   Open.js (WSH-sample in JScript) 
// Author: G. Born
//
// Demonstrate how to call Open dialog in comdlg.dll
// using an ActiveX control.
//************************************************

// create object reference
var oShExt = WScript.CreateObject("ShellExtension.ShellObjects");

// now we set the properties of the dialog
oShExt.WSHDialogTitle = "Borns Open dialog";  // Title

// Set the filter constant, use \0 to insert 0
oShExt.WSHDialogFilter = "All files (*.*)\0*.*\0" +
                         "VBScript files (*.vbs)\0*.vbs\0" +
                         "JScript files (*.js)\0*.js\0" +
                         "WSC files (*.wsc)\0*.wsc\0";

oShExt.WSHDialogFilterIndex = 2;  // index on *.vbs

if (oShExt.WSHShowOpen () != 0)   // open dialog
{ 
 WScript.Echo ("File " + oShExt.WSHDialogFile);
}
else
{
 WScript.Echo ("Sorry, no file selected");
}

WScript.Quit();
//*** End