'************************************************
' File:   EmptyRecycleBin.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrate how to access Shell API function 
' SHEmptyRecycleBin to empty Recycle Bin
' using an ActiveX control.
'************************************************
Option Explicit

' Constant definitions for SHFileOperation
Const SHERB_NOCONFIRMATION = &H01
Const SHERB_NOPROGRESSUI = &H02
Const SHERB_NOSOUND = &H04

Dim oShExt, code
Dim source, destin

' create object reference
Set oShExt = WScript.CreateObject("ShellExtension.ShellObjects")

'### try operation
If MsgBox ("Empty Recycle Bin?", vbYesNo + vbQuestion, _
      "Empty Recycle Bin") = vbYes Then
' call method to empty Recycle Bin
 code = oShExt.WSHEmptyRecycleBin ("C:\",SHERB_NOCONFIRMATION)
 If code <> 0 Then
  MsgBox "Error, Code is " & code, vbCritical, "Recycle Bin"
 Else
  MsgBox "Recycle Bin is empty", vbInformation, "Recycle Bin"
 End if
End if

WScript.Quit
'*** End