'************************************************
' File:   Open.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrate how to call Open dialog in comdlg.dll
' using an ActiveX control.
'************************************************
Option Explicit

Dim oShExt, code

' create object reference
Set oShExt = WScript.CreateObject("ShellExtension.ShellObjects")

' now we set the properties of the dialog
oShExt.WSHDialogTitle = "Born's Open dialog"  ' Title
oShExt.WSHDialogFilter = "All files (*.*)" & chr(0) & _
                         "*.*" & chr(0) & _
                         "VBScript files (*.vbs)" & chr(0) & _
                         "*.vbs" & chr(0) & _
                         "JScript files (*.js)" & chr(0) & _
                         "*.js" & chr(0) & _
                         "WSC files (*.wsc)" & chr(0) & _
                         "*.wsc" & chr(0)

oShExt.WSHDialogFilterIndex = 2  ' 2nd entry selected

oShExt.WSHDialogInitDir = "C:\"  ' empty string = current directory

If oShExt.WSHShowOpen () <> 0 Then 
 MsgBox "File " & oShExt.WSHDialogFile
Else
 MsgBox "Sorry, no file selected"
End if

WScript.Quit
'*** End